{% extends 'base.html' %}
{% load static %}

{% block content %}
    <h4 class="mt-5">Business Details</h4>
    <div class="row mt-5">
       <div class="col">
           <div class="card">
               <h4>Business : {{ business.name }}</h4>
               <p>Legal Identifier: {{ business.legalIdentifier }}</p>
               <a href="{% url 'BusinessDelete' businessUUID=businessUUID %}" class="btn btn-danger">Delete Business</a>
           </div>
       </div>
        <div class="col">
            <div class="card">
                <h4>Contacts</h4>
                <a href="{% url "ContactAdd" businessUUID=business.uuid %}" class="btn btn-primary">Add Contact</a>
                <div class="table-responsive">
                    <table class="table table-striped table-sm">
                        <thead>
                        <tr>
                            <th scope="col">First Name</th>
                            <th scope="col">Last Name</th>
                            <th scope="col">Title</th>
                            <th scope="col">Email</th>
                            <th scope="col">Tools</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for contact in contacts %}
                            <tr>
                                <td>{{ contact.firstName }}</td>
                                <td>{{ contact.lastName }}</td>
                                <td>{{ contact.title }}</td>
                                <td>{{ contact.email }}</td>
                                <td>
                                    <a href="{% url "ContactEdit"  contactUUID=contact.uuid %}" class="btn btn-primary"> Edit</a>
                                    <a href="{% url "ContactDelete"  contactUUID=contact.uuid %}" class="btn btn-danger"> Delete</a>
                                </td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <div class="row mt-5">
        <div class="col">
            <div class="card">
                <h4>Customers</h4>
                <a href="{% url "CustomerAddToBusiness" businessUUID=business.uuid %}" class="btn btn-primary">Add Customer</a>
                <div class="table-responsive">
                    <table class="table table-striped table-sm">
                        <thead>
                        <tr>
                            <th scope="col">First Name</th>
                            <th scope="col">Last Name</th>
                            <th scope="col">Title</th>
                            <th scope="col">Email</th>
                            <th scope="col">Tools</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for customer in customers %}
                            <tr>
                                <td>{{ customer.firstName }}</td>
                                <td>{{ customer.lastName }}</td>
                                <td>{{ customer.title }}</td>
                                <td>{{ customer.email }}</td>
                                <td>
                                    <a href="{% url "CustomerEdit"  customerUUID=customer.uuid %}" class="btn btn-primary"> Edit</a>
                                    <a href="{% url "CustomerDelete"  customerUUID=customer.uuid %}" class="btn btn-danger"> Delete</a>
                                </td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="col">
            <div class="card">
                <h4>Projects</h4>
            </div>
        </div>
    </div>
    <div class="row mt-5">
        <div class="col">
            <div class="card">
                <h4>Tickets</h4>
            </div>
        </div>
        <div class="col">
            <div class="card">
                <h4>Locations</h4>
            </div>
        </div>

    </div>

{% endblock %}
